Package name.pachler.nio.file

# Class FileSystems

java.lang.Object
name.pachler.nio.file.FileSystems

public abstract class FileSystems extends Object
Provides static method to get the default FileSystem object. It is used to acquire a WatchService via the provided FileSystem instance. Note that this class solely exists in jpathwatch to maintain JDK7 source compatibility, but only offers small subset of the functionality implemented in JDK7.

## Method Summary

Modifier and Type
Method
Description
`static FileSystem`
`getDefault()`
Gets the default file system.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDefault

public static FileSystem getDefault()
Gets the default file system. jpathwatch provides this method as a means to get a `FileSystem` that in turn allows to create a `WatchService` instance.

Returns:
  the default file system object.